DROP TABLE PPSNEPL.EPL_COPAY_TIER CASCADE CONSTRAINTS;
DROP TABLE PPSNEPL.EPL_PRODUCT_COPAY_TIER CASCADE CONSTRAINTS;

CREATE TABLE PPSNEPL.EPL_COPAY_TIER
(
  EPL_ID             NUMBER(30)                 NOT NULL,
  TIER_LEVEL         VARCHAR2(3 BYTE)           NOT NULL,
  DESCRIPTION        VARCHAR2(50 BYTE)          NOT NULL,
  ITEM_STATUS        VARCHAR2(50 BYTE)          NOT NULL,
  INACTIVATION_DATE  TIMESTAMP(6),
  REVISION_NUMBER    NUMBER(30)                 NOT NULL,
  CREATED_BY         VARCHAR2(50 BYTE)          NOT NULL,
  CREATED_DTM        TIMESTAMP(6)               NOT NULL,
  LAST_MODIFIED_BY   VARCHAR2(50 BYTE),
  LAST_MODIFIED_DTM  TIMESTAMP(6)
)
TABLESPACE PPSNEPL_DATA
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MAXSIZE          UNLIMITED
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


--  There is no statement for index PPSNEPL.SYS_C0023022.
--  The object is created when the parent object is created.

ALTER TABLE PPSNEPL.EPL_COPAY_TIER ADD (
  PRIMARY KEY
  (EPL_ID)
  USING INDEX
    TABLESPACE PPSNEPL_DATA
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MAXSIZE          UNLIMITED
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                BUFFER_POOL      DEFAULT
                FLASH_CACHE      DEFAULT
                CELL_FLASH_CACHE DEFAULT
               )
  ENABLE VALIDATE);

  
DROP TABLE PPSNEPL.EPL_PROD_COPAY_TIER_ASSOCS CASCADE CONSTRAINTS;

CREATE TABLE PPSNEPL.EPL_PROD_COPAY_TIER_ASSOCS
(
  EPL_ID                NUMBER(30)              NOT NULL,
  EPL_ID_PRODUCT_FK     NUMBER(30)              NOT NULL,
  EPL_ID_COPAY_TIER_FK  NUMBER(30)              NOT NULL,
  EFFECTIVE_DATE        TIMESTAMP(6)            NOT NULL,
  END_DATE              TIMESTAMP(6),
  CREATED_BY            VARCHAR2(50 BYTE)       NOT NULL,
  CREATED_DTM           TIMESTAMP(6)            NOT NULL,
  LAST_MODIFIED_BY      VARCHAR2(50 BYTE),
  LAST_MODIFIED_DTM     TIMESTAMP(6)
)
TABLESPACE PPSNEPL_DATA
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MAXSIZE          UNLIMITED
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


--  There is no statement for index PPSNEPL.SYS_C0022972.
--  The object is created when the parent object is created.

ALTER TABLE PPSNEPL.EPL_PROD_COPAY_TIER_ASSOCS ADD (
  PRIMARY KEY
  (EPL_ID)
  USING INDEX
    TABLESPACE PPSNEPL_DATA
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MAXSIZE          UNLIMITED
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                BUFFER_POOL      DEFAULT
                FLASH_CACHE      DEFAULT
                CELL_FLASH_CACHE DEFAULT
               )
  ENABLE VALIDATE);

ALTER TABLE PPSNEPL.EPL_PROD_COPAY_TIER_ASSOCS ADD (
  FOREIGN KEY (EPL_ID_PRODUCT_FK) 
  REFERENCES PPSNEPL.EPL_PRODUCTS (EPL_ID)
  ENABLE VALIDATE);
  
ALTER TABLE PPSNEPL.EPL_PROD_COPAY_TIER_ASSOCS ADD (
  FOREIGN KEY (EPL_ID_COPAY_TIER_FK) 
  REFERENCES PPSNEPL.EPL_COPAY_TIER (EPL_ID)
  ENABLE VALIDATE);
