package gov.va.med.pharmacy.peps.domain.common.dao;

import java.util.Calendar;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.test.annotation.Rollback;
import org.springframework.transaction.annotation.Transactional;

import gov.va.med.pharmacy.peps.domain.common.model.EplCopayTierDo;
import gov.va.med.pharmacy.peps.domain.common.utility.test.AbstractTransactionalUnitTest;
import junit.framework.Assert;

/**
 * EplCopayTierTest
 */

@Component
public class CopayTierDaoTest extends AbstractTransactionalUnitTest {
    
/*    private static final org.apache.log4j.Logger LOG = org.apache.log4j.Logger.getLogger(
            CopayTierTest.class);*/
    
    @Autowired
    private EplCopayTierDao eplCopayTierDaoImpl;   
   
    @Test
    @Rollback(true)
    @Transactional    
    public void testSave() {
        
     
        EplCopayTierDo copayTier = new EplCopayTierDo();
        
        //Session session = getSessionFactory().getCurrentSession();
        copayTier.setEplId((long) 50002);
        copayTier.setTierLevel("998");
        copayTier.setDescription("Tier Level 998 - Unit Test");
        copayTier.setItemStatus("Active");
        copayTier.setLastModifiedBy("360");
        copayTier.setInactivationDate(null);
        copayTier.setCreatedBy("360");
        copayTier.setCreatedDtm(Calendar.getInstance().getTime());              
        copayTier.setRevisionNumber(0L);
      
        eplCopayTierDaoImpl.save(copayTier);
        System.out.println(copayTier.getEplId());
        Assert.assertNotNull(copayTier.getEplId());
        
    }
    
    public void testStoreRetrieve() { 
    	EplCopayTierDo copayTier = new EplCopayTierDo(); 
    	//long id = eplCopayTierDaoImpl.read(copayTier); 
    	//Product retrievedProduct = productDAO.get(id); 
    	
    	EplCopayTierDao dao = getDataAccessObject(EplCopayTierDao.class);
//      EplProductDo product = dao.retrieve(audit.getAuditItemId());

    }
    
    private EplCopayTierDao getDataAccessObject(Class<EplCopayTierDao> class1) {
		// TODO Auto-generated method stub
		return null;
	}

	@Autowired
    private SessionFactory sessionFactory;
    
    public SessionFactory getSessionFactory() {
        return sessionFactory;
    }

    /**
     * @param sessionFactory the sessionFactory to set
     */
    public void setSessionFactory(SessionFactory sessionFactory) {
        this.sessionFactory = sessionFactory;
    }
        
    
    /**
     * Find By Id
     */

    //@Override
    public EplCopayTierDo findById(Long id) {
        
        if(id == null){
            throw new IllegalArgumentException("EplCopayTier id cannot be null");
        }
        
        Session session = getSessionFactory().getCurrentSession();
        
        EplCopayTierDo eplDrugDrugInteraction = (EplCopayTierDo) session.get(EplCopayTierDo.class, id);
        
        return eplDrugDrugInteraction;
    }
    
    
    /**
     * Save
     */
    //@Override
    public EplCopayTierDo save(EplCopayTierDo eplCopayTier) {
        
        EplCopayTierDo copayTier = new EplCopayTierDo();
        
        Session session = getSessionFactory().getCurrentSession();
        
        Long id = (Long) session.save(eplCopayTier);
        
        copayTier = findById(id);
        
        return copayTier;
    }

}
