package gov.va.med.pharmacy.peps.domain.common.dao;

import java.util.Calendar;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import gov.va.med.pharmacy.peps.domain.common.dao.EplProdCopayTierAssocDao;
import gov.va.med.pharmacy.peps.domain.common.model.EplProdCopayTierAssocDo;
import gov.va.med.pharmacy.peps.domain.common.utility.test.AbstractTransactionalUnitTest;
import junit.framework.Assert;
import gov.va.med.pharmacy.peps.common.vo.UserVo;

import gov.va.med.pharmacy.peps.common.utility.test.generator.UserGenerator;

/**
 * ProductCopayTierTest
 */

@Component
public class EplProdCopayTierAssocTest extends AbstractTransactionalUnitTest {
    
    private static final org.apache.log4j.Logger LOG = org.apache.log4j.Logger.getLogger(
            CopayTierDaoTest.class);
    
    @Autowired
    private EplProdCopayTierAssocDao eplProductCopayTierDaoImpl;   
    @Test
    //@Rollback(false)
    @Transactional
    
    public void testSave() {
     
        EplProdCopayTierAssocDo copayProductTier = new EplProdCopayTierAssocDo();
        Long assocProduct = 5211459200459419L;
        Long assocCopayTier = 99999L;

        copayProductTier.setId((long) 100000L);
//        copayProductTier.setProductFk(assocProduct);
//        copayProductTier.setCopayTierFk(assocCopayTier);        
        copayProductTier.setEffectiveDate(Calendar.getInstance().getTime());    
        copayProductTier.setEndDate(Calendar.getInstance().getTime());         
        copayProductTier.setCreatedBy("360");
        copayProductTier.setCreatedDtm(Calendar.getInstance().getTime());   
        eplProductCopayTierDaoImpl.save(copayProductTier);
        System.out.println(copayProductTier.getId());
        Assert.assertNotNull(copayProductTier.getId());
        
    }
    
    /**
     * getTestUser
     * @return UserVo used during testing
     */
    protected UserVo getTestUser() {
        UserVo user = new UserGenerator().getNationalManagerOne();
        user.setFirstName("Domain Test Case First");
        user.setLastName("Domain Test Case Last");
        user.setLocation("Domain Test Case Location");
        user.setStationNumber("666");
        user.setUsername("domainTestCase");
        
        return user;
    }
}
