package gov.va.med.pharmacy.peps.common.vo;


/**
 * Copay Tier Value Object.
 */
public class CopayTierVo extends ManagedDataVo {

    private static final long serialVersionUID = 1L;

    /**
     * String Variable Description
     */
    private String description; 
    
    /**
     * The constructor for Copay Tier.
     */
    public CopayTierVo() {

    }


    /**
     * Gets the Value from the FieldKey class.
     * @return value for Tier Level.
     */
    public final String getTierLevel() { 
        return getValue();
    }

    /**
     * Sets the Value from the FieldKey class.
     * @param tierLevel is returned as Value from the FieldKey class
     */
    public final void setTierLevel(String tierLevel) {
    
        setValue(tierLevel);
    }
  
    /**
     * Gets description of the copay tier.
     * @return description.
     */
    public final String getDescription() {
    
        return description;
    }
    
    public final void setDescription(String description) {
    
        this.description = description;
    }
    
    /**
     * Returns the domain group of the managed Data.
     * 
     * @return domainGroup
     */
    public final DomainGroup getDomainGroup() {
        return DomainGroup.COPAY_TIER;
    }
    
    /**
     * Returns true if this CopayTierVo is a local only domain.
     * 
     * @return false always
     */
    public final boolean isLocalOnlyData() {
        return false;
    }
    
    /**
     * Returns true if the domain is an NDF domain for the DrugClassVo.
     * 
     * @return boolean
     */
    public final boolean isNdf() {
        return true;
    }
    
    /**
     * Returns true if the domain is standardized for the CopayTierVo.
     * 
     * @return boolean
     */
    public final boolean isStandardized() {
        return false;
    }

    /**
     * This is the CopayTierVo method to return if this item requires two reviews 
     * before adds/modifies are approved or rejected  for the CopayTierVo.
     * <p>
     * Differs from {@link FieldKey#isRequiresSecondApproval()} as this method is used during adds and the FieldKey method is
     * used during mods. In addition, this method only applies to the CopayTierVo, not individual fields.
     * 
     * @return boolean True if this item requires two reviews, otherwise, only one review is needed.
     */
    @Override
    public final boolean isTwoReviewItem() {

        return false;
    }    
    
}
