/**
 * Source file created in 2011 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.domain.common.dao;


import java.util.List;
import gov.va.med.pharmacy.peps.domain.common.model.EplProdCopayTierAssocDo;


/**
 * This class provides a set of operation that may be performed on all the classes that inherit from this class. This
 * interface should never be used directly, but it will be inherited by all DAOs. It provides abstract methods to access and
 * modify the EplVaGenericNameDo.
 * 
*/
public interface EplProdCopayTierAssocDao extends DataAccessObject<EplProdCopayTierAssocDo, Long> {

    /**
     * Save an instance of the copay tier association.
     * 
     * @param copayProductTier EplProdCopayTierAssocDo
     * @return EplProdCopayTierAssocDo
    */
    public EplProdCopayTierAssocDo save(EplProdCopayTierAssocDo copayProductTier);

    /**
     * Find EplProdCopayTierAssocDo object for a given id.
     * 
     * @param id Long
     * @return EplProdCopayTierAssocDo
    */
    EplProdCopayTierAssocDo findById(Long id);
    
    /**
     * Get all instances of the given DataObject without any particular order.
     * 
     * @return List of DataObjects
    */
    List<EplProdCopayTierAssocDo> retrieve();


    /**
     * Return all DataObjects that have a field equal to the given value.
     * 
     * @param fieldName String name of the field to find by
     * @param value Object value of the field results must be equal to
     * @return List of DataObjects
    */
    List<EplProdCopayTierAssocDo> retrieve(String fieldName, Object value);

}
