/**
 * Source file created in 2011 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.domain.common.dao.impl;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import gov.va.med.pharmacy.peps.domain.common.dao.EplProdCopayTierAssocDao;
import gov.va.med.pharmacy.peps.domain.common.model.EplProdCopayTierAssocDo;


/**
 * This class makes avaliable the methods that may be used to access and 
 * modify the data referenced by the EplOrderUnitDao.
 */
public class EplProdCopayTierAssocDaoImpl extends DataAccessObjectImpl<EplProdCopayTierAssocDo, Long>
    implements EplProdCopayTierAssocDao {
    
    /**
     * Finds an all EplProdCopayTierAssocDo object in ascending order from the database.
     * 
     * @return Collection of EplProdCopayTierAssocDo objects
    */
    @SuppressWarnings("unchecked")
    @Override
    public final List<EplProdCopayTierAssocDo> retrieve() {
        
        Session session = getCurrentSession();
        Criteria criteria = session.createCriteria(getDataObjectClass());
        Order order = Order.asc(EplProdCopayTierAssocDo.EPL_ID);
        order.ignoreCase();
        criteria.addOrder(order);
        return criteria.list();
    }
    
    /**
     * Return all DataObjects that have a field equal to the given value.
     * 
     * @param fieldName String name of the field to find by
     * @param value Object value of the field results must be equal to
     * @return List of DataObjects
     */
    @Override
    @SuppressWarnings("unchecked")
    public final List<EplProdCopayTierAssocDo> retrieve(String fieldName, Object value) {
        Criteria criteria = getCurrentSession().createCriteria(getDataObjectClass());

        criteria.add(Restrictions.eq(fieldName, value));
        Order order = Order.asc(EplProdCopayTierAssocDo.EPL_ID);
        order.ignoreCase();
        criteria.addOrder(order);

        return criteria.list();
    }
    
    @Override
    public final EplProdCopayTierAssocDo findById(Long id) {
        
        if(id == null){
            throw new IllegalArgumentException("EplCopayTier id cannot be null");
        }
        
        Session session = getCurrentSession();
        
        EplProdCopayTierAssocDo productCopayTier = (EplProdCopayTierAssocDo) session.get(EplProdCopayTierAssocDo.class, id);
        
        return productCopayTier;
    }
    
    
    /**
     * Save.
    */
    @Override
    public final EplProdCopayTierAssocDo save(EplProdCopayTierAssocDo eplProductCopayTier) {
        
        EplProdCopayTierAssocDo productCopayTier = new EplProdCopayTierAssocDo();
        
        Session session = getCurrentSession();
        
        Long id = (Long) session.save(eplProductCopayTier);
        
        productCopayTier = findById(id);
        
        return productCopayTier;
    }
}
