<jsp:root version="1.2" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:display="urn:jsptld:http://displaytag.sf.net">
  <jsp:directive.page contentType="text/html; charset=UTF-8" />
  <jsp:directive.page import="org.displaytag.sample.*" />
  <jsp:include page="inc/header.jsp" flush="true" />
  <h2>Posting form values and selecting rows with checkboxes</h2>
  <jsp:scriptlet>
    <![CDATA[
        if (request.getSession().getAttribute( "testform")==null){
          request.getSession().setAttribute( "testform", new TestList(30, false) );
        }
        org.displaytag.decorator.CheckboxTableDecorator decorator = new org.displaytag.decorator.CheckboxTableDecorator();
        decorator.setId("id");
        decorator.setFieldName("_chk");
        pageContext.setAttribute("checkboxDecorator", decorator);
            ]]>
  </jsp:scriptlet>
  <a href="javascript:displaytagform('displ',[{f:'par',v:['aa%22az']},{f:'d-148916-s',v:'2'},{f:'d-148916-o',v:'2'}])">
    test
  </a>
  <form name="displ" action="?" method="get">
    <display:table name="sessionScope.testform" id="table" pagesize="10" decorator="checkboxDecorator" form="displ"
      excludedParams="_chk">
      <display:column property="checkbox" />
      <display:column property="id" />
      <display:column property="name" sortable="true" />
      <display:column property="email" />
      <display:column property="description" />
    </display:table>
  </form>
  <p>
    This example shows how displaytag can be configured in order to submit a form when paging or sorting, instead of
    using simple links.
  </p>
  <p>
    This can be useful in order to maintain parameters from existing forms or in order to use parameters supplied by
    items inside the table tag together with custom ones. In this example this feature is used together with a table
    decorator in order to preserve the selection of checkboxes while paging.
  </p>
  <p>For turning the use of forms on you will do to the following:</p>
  <ul>
    <li>wrap the table tag in a form tag (give this form a name)</li>
    <li>
      set the
      <code>form</code>
      attribute to the table tag using the name of such form
    </li>
  </ul>
  <p>
    After doing that you will notice that links generated by displaytag will change in order to setup parameters in
    hidden fields and to submit the form using javascript. Note that
    <strong>displaytag doesn't create the form for you</strong>
    , you will need to create it as explained above or sorting/paging will not work.
  </p>
  <hr />
  <p>
    The second step of this example show you how this feature can be used with a particular table decorator in order to
    add checkboxes to table rows and preserving the selection of such checkboxes while paging.
  </p>
  <p>What you need to do is:</p>
  <ul>
    <li>
      setup an instance of
      <code>org.displaytag.decorator.CheckboxTableDecorator</code>
    </li>
    <li>
      Optionally sets the name of the field used as the id (checkbox value) using
      <code>decorator.setId(***)</code>
      in your object and the name of the checkbox itself using
      <code>decorator.setFieldName(***)</code>
      . The default id property name is
      <code>id</code>
      and the default name for checkboxes is
      <code>_chk</code>
      (you should not commonly need to change it).
    </li>
    <li>
      Adds the
      <code>decorator</code>
      attribute to table tag in order to use this decorator and adds the name used for checkboxes to the
      <code>excludedParams</code>
      attribute
    </li>
    <li>
      Adds a column
      <code>&amp;lt;display:column property="checkbox" /></code>
      in your table, at a position of your like.
    </li>
    <li>Test it!</li>
  </ul>
  <jsp:include page="inc/footer.jsp" flush="true" />
</jsp:root>
