/*
 * Created on Jul 13, 2005
 *
 * $Id: DoWhileCheck.java,v 1.1 2007/03/12 16:51:01 tstavenger Exp $
 */


package gov.va.med.pharmacy.checkstyle.checks;import com.puppycrawl.tools.checkstyle.api.Check;
import com.puppycrawl.tools.checkstyle.api.DetailAST;
import com.puppycrawl.tools.checkstyle.api.TokenTypes;



/**
 * A Checkstyle Check that checks that two statements are not
 * on the same line by searching for semicolons.
 * 
 * @author njeirath
 * @version $Revision: 1.1 $ $Date: 2007/03/12 16:51:01 $
 */
public class DoWhileCheck extends Check {

    /**
     * Creates a new instance of the DoWhileCheck
     */
    public DoWhileCheck() {
        super();
    }

    /* (non-Javadoc)
     * @see com.puppycrawl.tools.checkstyle.api.Check#getDefaultTokens()
     */
    public int[] getDefaultTokens() {
        return new int[] {TokenTypes.DO_WHILE,};
    }

    /*
     *  (non-Javadoc)
     * @see com.puppycrawl.tools.checkstyle.api.Check#getRequiredTokens()
     */
    public int[] getRequiredTokens() {
        return getDefaultTokens();
    }

    /*
     *  (non-Javadoc)
     * @see com.puppycrawl.tools.checkstyle.api.Check#visitToken(com.puppycrawl.tools.checkstyle.api.DetailAST)
     */
    public void visitToken(DetailAST aAST) {

        // line numbers from DetailAST are from
        if ((aAST.getPreviousSibling() != null) && (aAST.getPreviousSibling().getLastChild() != null)
            && (aAST.getPreviousSibling().getLastChild().getType() == TokenTypes.RCURLY)
            && (aAST.getPreviousSibling().getLastChild().getLineNo() == aAST.getLineNo() - 1)) {

            log(aAST, "While statment for do while loops must be on same line after right curly brace (section 8.2.5)");
        }

        if ((aAST.getParent() != null)
            && (aAST.getParent().getLastChild() != null)
            && (aAST.getParent().getLastChild().getType() == TokenTypes.SEMI)
            && (aAST.getParent().getLastChild().getPreviousSibling().getType() == TokenTypes.RPAREN)
            && (aAST.getParent().getLastChild().getLineNo() != aAST.getParent().getLastChild().getPreviousSibling()
                .getLineNo())) {

            log(aAST.getParent().getLastChild(), "semicolon must be on same line as closing paren for while statement");
        }

    }
}
