/*
 * Created on Jul 13, 2005
 *
 * $Id: ImportsCheck.java,v 1.1 2007/03/12 16:51:01 tstavenger Exp $
 */


package gov.va.med.pharmacy.checkstyle.checks;


import com.puppycrawl.tools.checkstyle.api.Check;
import com.puppycrawl.tools.checkstyle.api.DetailAST;
import com.puppycrawl.tools.checkstyle.api.FullIdent;
import com.puppycrawl.tools.checkstyle.api.TokenTypes;


/**
 * A Checkstyle Check that checks the imports to make sure they
 * adhere to the SwRI / VA PRE Coding Standards.
 * 
 * @author kvisco
 * @version $Revision: 1.1 $ $Date: 2007/03/12 16:51:01 $
 */
public class ImportsCheck extends Check {

    /**
     * Creates a new instance of the ImportsCheck
     */
    public ImportsCheck() {
        super();
    }

    /* (non-Javadoc)
     * @see com.puppycrawl.tools.checkstyle.api.Check#getDefaultTokens()
     */
    public int[] getDefaultTokens() {
        return new int[] {TokenTypes.IMPORT};
    }

    /*
     *  (non-Javadoc)
     * @see com.puppycrawl.tools.checkstyle.api.Check#getRequiredTokens()
     */
    public int[] getRequiredTokens() {
        return getDefaultTokens();
    }

    /*
     *  (non-Javadoc)
     * @see com.puppycrawl.tools.checkstyle.api.Check#visitToken(com.puppycrawl.tools.checkstyle.api.DetailAST)
     */
    public void visitToken(DetailAST aAST) {
        FullIdent name = FullIdent.createFullIdentBelow(aAST);

        if ((name != null) && (name.getText().endsWith(".*"))) {
            log(aAST.getLineNo(), "Wildcard (.*) imports are not allowed, please use explicit imports instead");
        }
    }
}
